import request from '@/config/axios'
// 查询列表
export const getPurchasePage = async (params) => {
  return await request.get({ url: '/admin-api/crm/erp-purchase/page', params })
}

// 新增
export const createPurchase = async (data) => {
  return await request.post({
    url: '/admin-api/crm/erp-purchase/create',
    data: data,
    isSubmitForm: true
  })
}

// 修改
export const updatePurchase = async (params) => {
  return await request.put({ url: '/admin-api/crm/erp-purchase/update', data: params })
}

// 删除
export const deletePurchase = async (id) => {
  return await request.delete({ url: '/admin-api/crm/erp-purchase/delete?id=' + id })
}

// 审核
export const auditPurchase = async (data) => {
  return await request.post({ url: '/admin-api/crm/erp-purchase/audit', data })
}
